var EventDispatcher = require('../event/EventDispatcher.js').EventDispatcher;

var JsonRpcMethod = exports.JsonRpcMethod = function (request, response, server) {
    EventDispatcher.call(this);

    this._request = request;
    this._response = response;
    this.server = server;
};

JsonRpcMethod.prototype = Object.create(EventDispatcher.prototype);

JsonRpcMethod.prototype.execute = function (params) {};

JsonRpcMethod.Event = {};
JsonRpcMethod.Event.WRONG_PARAMS = 'JsonRpcMethod_WRONG_PARAMS';
JsonRpcMethod.Event.ERROR = 'JsonRpcMethod_ERROR';
JsonRpcMethod.Event.OK = 'JsonRpcMethod_OK';
